Browser back/forward buttons don't cause page to change

05/19/2020 06:57 AM - Luke Murphey
Description
Subtasks:
Bug # 2753: Fix search page browser controls Closed
History
#1 - 05/19/2020 04:42 PM - Luke Murphey
- Status changed from New to In Progress
#2 - 05/19/2020 05:32 PM - Luke Murphey
Qs:
e What is the best organization for this code?
¢ What are the things that main index is doing right now?
o Loading history
o Routing
o Route change handling
o ErrorBoundary
o Placing of main code in the HTML page
o Loading of main CSS
e How do | get the router to go off of the new history URL?
e |s there another Router | ought to be using?
e Am | using the history wrong?
o https://reacttraining.com/react-router/web/api/Hooks/usehistory
e Should | use forceRefresh?
o Didn't work
e Should | use Redirect?
e How do | convert the URL from the update to something | can process?
e Am | using the correct history object?
o Switched to the one provided
Obs:
¢ https://reacttraining.com/react-router/web/example/basic works without setting the history directly
e This works when changing pages, but not within a page
Solns:
e [Partial Fix] Process the change event in componentDidUpdate()
o https://stackoverflow.com/questions/39342195/intercept-handle-browsers-back-button-in-react-router
e Set the state in history so that | can process this using History.replaceState() and process in componentDidUpdate()
e Wrap Approuter and have it re-render when route changes
o Render is called but read_work doesn't change
o Read work re-renders too but without a change
e Use Redirect
o https://tylermcginnis.com/react-router-programmatically-navigate/
Refs:
e https://stackoverflow.com/questions/41911309/how-to-listen-to-route-changes-in-react-router-v4
e https://stackoverflow.com/questions/39342195/intercept-handle-browsers-back-button-in-react-router
¢ https://stackoverflow.com/questions/59567624/react-how-to-use-componentdidupdate-for-updating-location-pathname
. ://developer.mozilla.org/en- /Web/API/Histor
e https://www.chenjianjx.com/in-react-router-dont-use-window-history-pushstate-but-history-push/: already doing this
e https://medium.com/@ivantsov/using-react-router-and-history-38c021270829
07/15/2025 1/2



https://reacttraining.com/react-router/web/api/Hooks/usehistory
https://reacttraining.com/react-router/web/example/basic
https://stackoverflow.com/questions/39342195/intercept-handle-browsers-back-button-in-react-router
https://tylermcginnis.com/react-router-programmatically-navigate/
https://stackoverflow.com/questions/41911309/how-to-listen-to-route-changes-in-react-router-v4
https://stackoverflow.com/questions/39342195/intercept-handle-browsers-back-button-in-react-router
https://stackoverflow.com/questions/59567624/react-how-to-use-componentdidupdate-for-updating-location-pathname
https://developer.mozilla.org/en-US/docs/Web/API/History/pushState
https://www.chenjianjx.com/in-react-router-dont-use-window-history-pushstate-but-history-push/
https://medium.com/@ivantsov/using-react-router-and-history-38c021270829

#3 - 05/19/2020 05:48 PM - Luke Murphey

- Subject changed from Back/forward buttons don't cause page to change to Browser back/forward buttons don't cause page to change

#4 - 05/20/2020 10:15 PM - Luke Murphey

- Status changed from In Progress to Closed
